# Class: Tween

## Kinetic. Tween

#### new Tween()

  Tween constructor. Tweens enable you to animate a node between the current state and a new state. You can play, pause, reverse, seek, reset, and finish tweens. By default, tweens are animated using a linear easing. For more tweening options, check out Kinetic.Easings

  Source:
    - kinetic-v5.1.10.js, line 6434

  ##### Example

      // instantiate new tween which fully rotates a node in 1 second
      var tween = new Kinetic.Tween({
        node: node,
        rotationDeg: 360,
        duration: 1,
        easing: Kinetic.Easings.EaseInOut
      });

      // play tween
      tween.play();

      // pause tween
      tween.pause();

### Methods

#### destroy()

  destroy

  Source:
    - kinetic-v5.1.10.js, line 6643

#### finish() → {Tween}

  finish

  Source:
    - kinetic-v5.1.10.js, line 6634

  ##### Returns:

  Type
    Tween

#### pause() → {Tween}

  pause

  Source:
    - kinetic-v5.1.10.js, line 6624

  ##### Returns:

  Type
    Tween

#### play() → {Tween}

  play

  Source:
    - kinetic-v5.1.10.js, line 6583

  ##### Returns:

  Type
    Tween

#### reset() → {Tween}

  reset

  Source:
    - kinetic-v5.1.10.js, line 6603

  ##### Returns:

  Type
    Tween

#### reverse() → {Tween}

  reverse

  Source:
    - kinetic-v5.1.10.js, line 6593

  ##### Returns:

  Type
    Tween

#### seek(t) → {Tween}

  seek

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `t` | Integer | time in seconds between 0 and the duration

  Source:
    - kinetic-v5.1.10.js, line 6614

  ##### Returns:

  Type
    Tween